/* eslint-env node */
require("@rushstack/eslint-patch/modern-module-resolution");

module.exports = {
  root: true,
  env: {
    browser: true,
    es2021: true,
    node: true,
  },
  globals: {},
  extends: ["plugin:vue/vue3-essential", "eslint:recommended", "@vue/eslint-config-typescript", "@vue/eslint-config-prettier"],
  parserOptions: {
    ecmaVersion: "latest",
    sourceType: "module",
  },
  rules: {
    "prettier/prettier": [
      "error",
      {
        semi: true,
        singleQuote: false,
        // 设置换行长度
        printWidth: 160,
      },
    ],
    quotes: ["error", "double", { allowTemplateLiterals: true }],
    "arrow-parens": ["error", "always"],
    "object-curly-spacing": ["error", "always", { objectsInObjects: false }],
    "no-warning-comments": [
      "off",
      {
        terms: ["TODO", "FIXME"],
        location: "anywhere",
      },
    ],
    indent: [
      "error",
      2,
      {
        VariableDeclarator: 2,
      },
    ],
    "vue/multi-word-component-names": "off",
    "capitalized-comments": [
      "error",
      "always",
      {
        line: {
          ignorePattern: "console|ignored",
          ignoreInlineComments: true,
        },
        block: {
          ignoreInlineComments: true,
          ignorePattern: "console|ignored",
        },
      },
    ],
  },
};
