import { useAxios } from "@vueuse/integrations/useAxios";
import instance from "@/utils/request";

// 获取签名信息
export function getMessageSign(account: string) {
  return useAxios(
    `${import.meta.env.VITE_IGAME_API}/nft/message-sign/${account}`,
    {
      method: "GET",
    },
    instance,
  );
}

// Nft token 是否铸造
export function getNftTokenHas(account: string) {
  return useAxios(
    `${import.meta.env.VITE_IGAME_API}/nft/nft-token/has/${account}`,
    {
      method: "GET",
    },
    instance,
  );
}

// Nft铸造
export function postNftToken(account: string) {
  return useAxios(
    `${import.meta.env.VITE_IGAME_API}/nft/nft-token/${account}`,
    {
      method: "POST",
    },
    instance,
  );
}

// // 获取token信息
// Export function postNftToken(account: string) {
//   Return useAxios(
//     `${import.meta.env.VITE_IGAME_API}/nft/nft-token/{id}.json`,
//     {
//       Method: "POST",
//     },
//     Instance,
//   );
// }
