export default [
  {
    inputs: [],
    stateMutability: "nonpayable",
    type: "constructor",
  },

  {
    anonymous: false,

    inputs: [
      {
        indexed: true,

        internalType: "address",

        name: "owner",

        type: "address",
      },

      {
        indexed: true,

        internalType: "address",

        name: "approved",

        type: "address",
      },

      {
        indexed: true,

        internalType: "uint256",

        name: "tokenId",

        type: "uint256",
      },
    ],

    name: "Approval",

    type: "event",
  },

  {
    anonymous: false,

    inputs: [
      {
        indexed: true,

        internalType: "address",

        name: "owner",

        type: "address",
      },

      {
        indexed: true,

        internalType: "address",

        name: "operator",

        type: "address",
      },

      {
        indexed: false,

        internalType: "bool",

        name: "approved",

        type: "bool",
      },
    ],

    name: "ApprovalForAll",

    type: "event",
  },

  {
    anonymous: false,

    inputs: [
      {
        indexed: true,

        internalType: "address",

        name: "previousOwner",

        type: "address",
      },

      {
        indexed: true,

        internalType: "address",

        name: "newOwner",

        type: "address",
      },
    ],

    name: "OwnershipTransferred",

    type: "event",
  },

  {
    anonymous: false,

    inputs: [
      {
        indexed: true,

        internalType: "address",

        name: "from",

        type: "address",
      },

      {
        indexed: true,

        internalType: "address",

        name: "to",

        type: "address",
      },

      {
        indexed: true,

        internalType: "uint256",

        name: "tokenId",

        type: "uint256",
      },
    ],

    name: "Transfer",

    type: "event",
  },

  {
    inputs: [],

    name: "GetText",

    outputs: [
      {
        internalType: "string",

        name: "",

        type: "string",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "new_addr",

        type: "address",
      },
    ],

    name: "SetAdmin",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "string",

        name: "new_string",

        type: "string",
      },
    ],

    name: "SetText",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [],

    name: "_admin",

    outputs: [
      {
        internalType: "address",

        name: "",

        type: "address",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [],

    name: "addr",

    outputs: [
      {
        internalType: "address",

        name: "",

        type: "address",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "to",

        type: "address",
      },

      {
        internalType: "uint256",

        name: "tokenId",

        type: "uint256",
      },
    ],

    name: "approve",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "owner",

        type: "address",
      },
    ],
    name: "balanceOf",
    outputs: [
      {
        internalType: "uint256",

        name: "",

        type: "uint256",
      },
    ],
    stateMutability: "view",
    type: "function",
  },

  {
    inputs: [
      {
        internalType: "uint256",

        name: "tokenId",

        type: "uint256",
      },
    ],

    name: "getApproved",

    outputs: [
      {
        internalType: "address",

        name: "",

        type: "address",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "owner",

        type: "address",
      },

      {
        internalType: "address",

        name: "operator",

        type: "address",
      },
    ],

    name: "isApprovedForAll",

    outputs: [
      {
        internalType: "bool",

        name: "",

        type: "bool",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "_to",

        type: "address",
      },

      {
        internalType: "string",

        name: "_tokenURI",

        type: "string",
      },
    ],

    name: "mint",

    outputs: [
      {
        internalType: "uint256",

        name: "",

        type: "uint256",
      },
    ],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [],

    name: "name",

    outputs: [
      {
        internalType: "string",

        name: "",

        type: "string",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [],

    name: "owner",

    outputs: [
      {
        internalType: "address",

        name: "",

        type: "address",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "uint256",

        name: "tokenId",

        type: "uint256",
      },
    ],

    name: "ownerOf",

    outputs: [
      {
        internalType: "address",

        name: "",

        type: "address",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [],

    name: "renounceOwnership",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [],

    name: "s",
    outputs: [
      {
        internalType: "string",
        name: "",
        type: "string",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "from",

        type: "address",
      },

      {
        internalType: "address",

        name: "to",

        type: "address",
      },

      {
        internalType: "uint256",

        name: "tokenId",

        type: "uint256",
      },
    ],

    name: "safeTransferFrom",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "from",

        type: "address",
      },

      {
        internalType: "address",

        name: "to",

        type: "address",
      },

      {
        internalType: "uint256",

        name: "tokenId",

        type: "uint256",
      },

      {
        internalType: "bytes",

        name: "data",

        type: "bytes",
      },
    ],

    name: "safeTransferFrom",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "operator",

        type: "address",
      },

      {
        internalType: "bool",

        name: "approved",

        type: "bool",
      },
    ],

    name: "setApprovalForAll",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "bytes4",

        name: "interfaceId",

        type: "bytes4",
      },
    ],

    name: "supportsInterface",

    outputs: [
      {
        internalType: "bool",

        name: "",

        type: "bool",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [],

    name: "symbol",

    outputs: [
      {
        internalType: "string",

        name: "",

        type: "string",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [],

    name: "tokenCounter",

    outputs: [
      {
        internalType: "uint256",

        name: "",

        type: "uint256",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "uint256",

        name: "_tokenId",

        type: "uint256",
      },
    ],

    name: "tokenURI",

    outputs: [
      {
        internalType: "string",

        name: "",

        type: "string",
      },
    ],

    stateMutability: "view",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "from",

        type: "address",
      },

      {
        internalType: "address",

        name: "to",

        type: "address",
      },

      {
        internalType: "uint256",

        name: "tokenId",

        type: "uint256",
      },
    ],

    name: "transferFrom",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },

  {
    inputs: [
      {
        internalType: "address",

        name: "newOwner",

        type: "address",
      },
    ],

    name: "transferOwnership",

    outputs: [],

    stateMutability: "nonpayable",

    type: "function",
  },
];
